# Unit tests of bracket itself

# Copyright (c) 2008-2019 Andreas Gustafsson.  All rights reserved.
# Please refer to the file COPYRIGHT for detailed copyright information.

from __future__ import print_function

from utils import mid_first

def test_mid_first():
    ref = [8, 4, 12]
    i = 0
    for e in mid_first(0, 16):
        if i < len(ref):
            assert(e == ref[i])
        i = i + 1

test_mid_first()
